#pragma once

#include "CoreMinimal.h"
#include "S3SharedConfigs.generated.h"

USTRUCT(BlueprintType)
struct FS3SharedConfigs
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool enableSupportACreator;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool enableSupportACreator_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool migrateLoadout;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool migrateLoadout_IsSet;

public:
	DEADBYDAYLIGHT_API FS3SharedConfigs();
};

FORCEINLINE uint32 GetTypeHash(const FS3SharedConfigs) { return 0; }
